Dist::Zilla::App::Command::smoke(3pm)

NAME
Dist::Zilla::App::Command::smoke - smoke your dist

VERSION
version 6.037

SYNOPSIS
  dzil smoke [ --release ] [ --author ] [ --no-automated ]

DESCRIPTION
This command builds and tests the distribution in "smoke testing mode."

This command is a thin wrapper around the test method in Dist::Zilla. It builds your dist and runs the tests with the AUTOMATED_TESTING environment variable turned on, so it's like doing this:

  export AUTOMATED_TESTING=1
  dzil build --no-tgz
  cd $BUILD_DIRECTORY
  perl Makefile.PL
  make
  make test

A build that fails tests will be left behind for analysis, and dzil will exit a non-zero value. If the tests are successful, the build directory will be removed and dzil will exit with status 0.

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

OPTIONS

  --release
This will run the test suite with RELEASE_TESTING=1

  --no-automated
This will run the test suite without setting AUTOMATED_TESTING

  --author
This will run the test suite with AUTHOR_TESTING=1

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.